<template>
  <div v-if="enableAuthentication" class="d-flex align-items-end align-items-lg-center mr-md-0 mr-2">
    <div class="d-flex flex-column flex-lg-row align-items-center header-top-button" href="" target="_self" v-if="!authenticated" @click.prevent="$emit('login')">
      <login-icon class=""/>
      <div class="mobile-header-top-text">
        {{ $t('message.header.subnav.login') }}
      </div>
    </div>
    <div class="d-flex flex-column flex-lg-row align-items-center header-top-button" href="" target="_self" v-else @click.prevent="$emit('logout')">
      <login-icon class=""/>
      <div class="mobile-header-top-text">
        {{ $t('message.header.subnav.logout') }}
      </div>
    </div>
  </div>
</template>

<script>
import LoginIcon from './LoginIcon.vue';

import i18n from '../../../i18n/i18n';

export default {
  name: 'Login',
  components: {
    LoginIcon,
  },
  props: {
    enableAuthentication: {
      type: Boolean,
      default: false,
    },
    authenticated: {
      type: Boolean,
      default: false,
    },
  },
  i18n: {
    i18n,
  },
  data() {
    return {
    };
  },
  computed: {
  },
  methods: {
  },
};
</script>

<style scoped lang="scss">

</style>
